import { Helmet } from "react-helmet";
import { Link } from "react-router-dom";

const Home = () => {
  return (
    <>
      <Helmet>
        <title>امیرحسین مقیسه</title>
        <meta name="description" content="وبسایت شخصی مهندس امیرحسین مقیسه به جهت آشنایی بیشتر با توانایی و سوابق امیرحسین مقیسه" />
      </Helmet>
      <div className="text-center text-secondary relative p-10 flex flex-col-reverse items-center gap-12 lg:gap-0 lg:flex-row justify-around lg:h-[calc(100%-200px)]" style={{ direction: "rtl" }}>
        {/* <h1 className='text-3xl'> <Image alt="amirmoghi3" src={amirmoghi3Glitch} /></h1> */}
        <div className="basis-2/3 justify-center flex  flex-col gap-4 items-center ">
          <div className="flex gap-2 items-center w-full justify-center">
            <p className="text-2xl">
              Real-Time
            </p>
            <span className="w-4 h-4 aspect-square bg-[green] rounded-full"></span>
          </div>
          <div className="overflow-y-auto flex flex-col gap-10 items-center">
            <div className="bg-dark-primary rounded-xl p-4 w-full">
              <p className="text-left py-2">Coding Activity</p>
              <img className="w-full" src="https://wakatime.com/share/@018dc372-1f4e-4b99-af4a-a20bb01cac1b/c7dfc76c-04e8-4b40-9ebe-b5b26ab6469d.png" />
            </div>
            <div className="bg-dark-primary rounded-xl p-4 w-full">
              <p className="text-left py-2">Languages</p>
              <img className="aspect-square" src="https://wakatime.com/share/@018dc372-1f4e-4b99-af4a-a20bb01cac1b/a15ec6e8-d8f6-4a6f-b668-062cd57f8db7.png" />
            </div>

          </div>
        </div>
        <div className="text-left flex flex-col gap-4 basis-1/3 items-center">
          <p className="text-3xl">Amirhossein Moghiseh</p>
          <p className="opacity-60 text-lg">
            PM4D | Web3 Developer | Software Engineer
          </p>
          <Link to={"resume"}>
            <button className="py-4 px-8 border w-fit border-secondary rounded-lg hover:bg-secondary hover:text-dark-primary">
              Resume
            </button>
          </Link>
        </div>

      </div>
    </>
  );
};

export default Home;
